Skip to content

Updates a customer's information

Request

PUT {{baseURL}}/pay-api/v1/customers/{{customerId}}

This endpoint updates a customer's information.

Care must be taken to complete all the fields with the existing information.

See Also:
To list customers, see GET /pay-api/v1/customers.
To create a customer, see POST /pay-api/v1/customers.
To retrieve a customer by ID, see GET /pay-api/v1/customers/{customerId}.
To delete a customer, see DELETE /pay-api/v1/customers/{customerId}.

Security
Bearer
Path
customerIdstring, (uuid)required

Specifies the customerId, also known as the customer identifier.

Example:c4b210e9-be39-4ebc-8195-0c422de87f90
Bodyapplication/json
firstNamestringrequired

Specifies the customer's first name.

Example: Alexandro

Example:"Alexandro"
lastNamestringrequired

Specifies the customer's last name.

Example: Peppared

Example:"Peppared"
companyNamestring or null

Specifies the name of the customer's company or organization.

Example: Peppared Street Cafe

Example:"Peppared Street Cafe"
emailstring or null

Specifies the customer's email

Example: pepparedstreetcafe@example.com

Example:"pepparedstreetcafe@example.com"
mobilePhoneNumberstring or null, (E.164), <= 20 characters^(null|\+\d{1,20})$

Specifies the customer's mobile phone number.

Example: +14155552309

Example:"+14155552309"
isMobileNumberSmsNotificationsEnabledboolean

Specifies the customer's SMS notification is enabled.

If true, the customer's SMS notification is enabled.
If false, the customer's SMS notification is not enabled.
If missing or omitted, the information is not available.

Example: true

useBillingAsShippingAddressboolean

Specifies to use the billing address as the shipping address.

If true, use the billing address as the shipping address.
If false, do not use the billing address as the shipping address. Instead, use the field shippingAddress.

Example: true

Example:true
billingAddressobject

Specifies an object for a street address.

shippingAddressobject

Specifies an object for a street address.

curl -i -X PUT \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/customers/c4b210e9-be39-4ebc-8195-0c422de87f90 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "firstName": "Alexandro",
    "lastName": "Peppared",
    "companyName": "Peppared Street Cafe",
    "email": "pepparedstreetcafe@eaxample.com",
    "mobilePhoneNumber": "+14155554618",
    "isMobileNumberSmsNotificationsEnabled": true,
    "useBillingAsShippingAddress": false,
    "billingAddress": {
      "addressLine1": "7429 Desert Mirage Lane",
      "addressLine2": "Office 7",
      "city": "Chicago",
      "zip": "60612-0001",
      "stateName": "Illinois",
      "stateId": 8,
      "countryId": 1
    },
    "shippingAddress": {
      "addressLine1": "7429 Desert Mirage Lane",
      "addressLine2": "Office 7",
      "city": "Phoenix",
      "zip": "60612-0001",
      "stateName": "Illinois",
      "stateId": 8,
      "countryId": 1
    }
  }'

Responses

OK

Response
No content